Ubuntu

Bluetooth with AR9462 WLAN/BT-Combo don't work

Reported by flash63 on 2012-07-15
108
This bug affects 17 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
High
AceLan Kao
Precise
High
AceLan Kao
Quantal
High
AceLan Kao
linux-backports-modules-3.5.0 (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Jean-Louis Hens
linux-firmware (Ubuntu)
Undecided
Unassigned
Precise
High
AceLan Kao
Quantal
Undecided
Unassigned

Bug Description

Ubuntu 12.04 Precise Pangolin 32bit - 3.2.0-23.36-generic 3.2.14
Product Brief
http://www.google.com/url?sa=t&rct=j&q=ar9462&source=web&cd=1&ved=0CFAQFjAA&url=http%3A%2F%2Fwww.qca.qualcomm.com%2Fmedia%2Fproduct%2Fproduct_112_file1.pdf&ei=Hzj3T7bVAcjfsgbE7Ym1BQ&usg=AFQjCNFdCVTSZr6iAYO5VbRD1Nir4wnnwg&cad=rja

WLAN:
0d:00.0 Network controller [0280]: Atheros Communications Inc. AR9462 Wireless Network Adapter [168c:0034] (rev 01)
 Subsystem: Lite-On Communications Inc Device [11ad:6621]
 Kernel driver in use: ath9k
 Kernel modules: ath9k

lsusb (BT-device identified as):
Bus 002 Device 003: ID 04ca:3006 Lite-On Technology Corp.

iProduct value is 2, so it must be a AR3012 based chipset for BT (see attachment).

I have adjusted in accordance with http://wireless.kernel.org/en/users/Drivers/ath3k the source codefor ath3k.c and btusb.c

See attachment for further informations and Terminal output.

Used CW snapshots and firmware:
compat-wireless-2012-07-03
linux-firmware-HEAD-e0836e6

Options for ath9k are set in /etc/modprobe.d/ath9k.conf: options ath9k btcoex_enable=1

First try with this patch to add the needed ID an blacklist this device for btusb:

diff -urN compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c
--- compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c 2012-07-04 02:38:39.000000000 +0200
+++ compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c 2012-07-13 23:29:04.000000000 +0200
@@ -76,6 +76,7 @@
  { USB_DEVICE(0x0CF3, 0x311D) },
  { USB_DEVICE(0x13d3, 0x3375) },
  { USB_DEVICE(0x04CA, 0x3005) },
+ { USB_DEVICE(0x04CA, 0x3006) },
  { USB_DEVICE(0x13d3, 0x3362) },
  { USB_DEVICE(0x0CF3, 0xE004) },
  { USB_DEVICE(0x0930, 0x0219) },
@@ -101,6 +102,7 @@
  { USB_DEVICE(0x0cf3, 0x311D), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3375), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x3005), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x04ca, 0x3006), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3362), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0cf3, 0xe004), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },
diff -urN compat-wireless-2012-07-03/drivers/bluetooth/btusb.c compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/btusb.c
--- compat-wireless-2012-07-03/drivers/bluetooth/btusb.c 2012-07-04 02:38:39.000000000 +0200
+++ compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/btusb.c 2012-07-13 23:30:35.000000000 +0200
@@ -130,6 +130,7 @@
  { USB_DEVICE(0x0cf3, 0x311d), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3375), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x3005), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x04ca, 0x3006), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3362), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0cf3, 0xe004), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },

... leads to the following error
[ 38.428012] Bluetooth: Patch file not found ar3k/AthrBT_0x11020000.dfu
[ 38.428015] Bluetooth: Loading patch file failed
[ 38.428021] ath3k: probe of 2-1.6:1.0 failed with error -2

the file AthrBT_0x11020000.dfu is not available in linux-firmware-HEAD-e0836e6/ar3k , so i try this patch:

2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c
--- compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c 2012-07-04 02:38:39.000000000 +0200
+++ compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c 2012-07-13 23:29:04.000000000 +0200
@@ -76,6 +76,7 @@
  { USB_DEVICE(0x0CF3, 0x311D) },
  { USB_DEVICE(0x13d3, 0x3375) },
  { USB_DEVICE(0x04CA, 0x3005) },
+ { USB_DEVICE(0x04CA, 0x3006) },
  { USB_DEVICE(0x13d3, 0x3362) },
  { USB_DEVICE(0x0CF3, 0xE004) },
  { USB_DEVICE(0x0930, 0x0219) },

diff -urN compat-wireless-2012-07-03/drivers/bluetooth/btusb.c compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/btusb.c
--- compat-wireless-2012-07-03/drivers/bluetooth/btusb.c 2012-07-04 02:38:39.000000000 +0200
+++ compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/btusb.c 2012-07-13 23:30:35.000000000 +0200
@@ -130,6 +130,7 @@
  { USB_DEVICE(0x0cf3, 0x311d), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3375), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x3005), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x04ca, 0x3006), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3362), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0cf3, 0xe004), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },

The driver will not now need to install a patch

An now we have this output:

dmesg | egrep 'ath3|ar3|Bluet'
[ 15.770583] Bluetooth: Core ver 2.16
[ 15.770601] Bluetooth: HCI device and connection manager initialized
[ 15.770603] Bluetooth: HCI socket layer initialized
[ 15.770604] Bluetooth: L2CAP socket layer initialized
[ 15.770609] Bluetooth: SCO socket layer initialized
[ 18.979363] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 18.979366] Bluetooth: BNEP filters: protocol multicast
[ 19.003989] Bluetooth: RFCOMM TTY layer initialized
[ 19.003995] Bluetooth: RFCOMM socket layer initialized
[ 19.003997] Bluetooth: RFCOMM ver 1.11
[ 19.213474] Bluetooth: Error in firmware loading err = -110,len = 0, size = 4096
[ 19.213506] ath3k: probe of 2-1.6:1.0 failed with error -110
[ 19.213539] usbcore: registered new interface driver ath3k

flash63 (elektronenblitz63) wrote :

+ attachment

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1024884

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
AceLan Kao (acelankao) wrote :

Hi, the first way should be the correct way to patch the files.
You need newer linux-firmware to have the needed files.
You can use the one I attached, or get the latest files from linux-firmware git tree.

AceLan Kao (acelankao) wrote :

both files are put in ar3k directory

tags: added: blocks-hwcert-enablement
Changed in linux (Ubuntu Precise):
status: New → Incomplete
importance: Undecided → Medium
flash63 (elektronenblitz63) wrote :

Hi,
and now we have this error. firmware seems otherwise to be found and ok.

 [ 18.314384] usbcore: registered new interface driver ath3k
 [ 18.444041] usb 2-1.6: USB disconnect, device number 3
 [ 18.609880] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
 [ 18.641918] usb 2-1.6: new full-speed USB device number 4 using ehci_hcd
 [ 18.735285] usb 2-1.6: string descriptor 0 read error: -22

The adapter don't work. Load and unload the module ath3k shows always the same error message.

AceLan Kao (acelankao) wrote :

Hi, I build a dkms package, please help to verify it.
Please use the firmwares in comment #3 and #4 and then install the dkms package.
I think it should work for you.

You can use "dpkg -x ar9462-dkms_1.0_all.deb /tmp" to unpack it and read the source code if you have any concern about this dkms package.

Thanks.

Changed in linux (Ubuntu Precise):
assignee: nobody → AceLan Kao (acelankao)
Changed in linux (Ubuntu Quantal):
assignee: nobody → AceLan Kao (acelankao)
flash63 (elektronenblitz63) wrote :

After install the system hangs in a loop, and registration is not possible

I think you mean this deb - https://launchpad.net/~acelankao/+archive/ath3k ??

AceLan Kao (acelankao) wrote :

Hi, the dkms package I mentioned is ar9462-dkms_1.0_all.deb attached in comment #6.
The one in my repository is out of date, please don't use it.

Do you have any problem while installing that ar9462-dkms_1.0_all.deb package, it shouldn't make your system hang.
And could you give me some info after installing the package
1. the output of "dkms status" command
2. do "cp -a /usr/src/ar9462-1.0 /tmp ; cd /tmp ; make" and see if there is any error while doing make. If yes, please paste the error message here.

Hi AceLan Kao,

thanks for your dkms package. I have installed it but bluetooth-manager still doesn't find my bluetooth adapter.

~$ dkms status
ar9462, 1.0, 3.2.0-27-generic, x86_64: built
ar9462, 1.0, 3.2.0-29-generic, x86_64: installed (WARNING! Diff between built and installed module!)
bbswitch, 0.4.2, 3.2.0-27-generic, x86_64: installed
bbswitch, 0.4.2, 3.2.0-29-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-030500-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-3-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-5-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-8-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-26-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-27-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-29-generic, x86_64: installed
nvidia-current, 304.37, 3.5.0-030500-generic, x86_64: installed

~$ lsmod | grep ath
ath9k 132390 0
mac80211 506816 1 ath9k
ath9k_common 14053 1 ath9k
ath9k_hw 411151 2 ath9k,ath9k_common
ath 24067 3 ath9k,ath9k_common,ath9k_hw
cfg80211 205544 3 ath9k,mac80211,ath
ath3k 12961 0
bluetooth 180104 11 rfcomm,bnep,ath3k

What else can I try?

This could be helpful, too:
~$ dmesg | grep ath
[ 17.452631] usbcore: registered new interface driver ath3k
[ 18.120938] ath: EEPROM regdomain: 0x6a
[ 18.120940] ath: EEPROM indicates we should expect a direct regpair map
[ 18.120942] ath: Country alpha2 being used: 00
[ 18.120943] ath: Regpair used: 0x6a
[ 18.270500] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 18.270709] Registered led device: ath9k-phy0
[ 21.201038] type=1400 audit(1345858370.037:17): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/mission-control-5" pid=1126 comm="apparmor_parser"
[ 21.201165] type=1400 audit(1345858370.037:18): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/telepathy-*" pid=1126 comm="apparmor_parser"
[ 28.317619] ath: regdomain 0x8188 updated by CountryIE
[ 28.317620] ath: EEPROM regdomain: 0x8188
[ 28.317620] ath: EEPROM indicates we should expect a country code
[ 28.317621] ath: doing EEPROM country->regdmn map search
[ 28.317622] ath: country maps to regdmn code: 0x40
[ 28.317623] ath: Country alpha2 being used: JP
[ 28.317624] ath: Regpair used: 0x40

AceLan Kao (acelankao) wrote :

Hi,

Sorry, I'm too busy last week and forgot to reply your message.
In the output of "dkms status", it looks like the ar9462 didn't install correctly, that's the problem.
That's a bug in my dkms package, please use the version 1.1 and try again.
Sorry for the mistake.

No problem. Thanks for your effort!
I have installed your new package and after a reboot I get following output:
~$ dkms status
ar9462, 1.1, 3.2.0-29-generic, x86_64: installed
bbswitch, 0.4.2, 3.2.0-27-generic, x86_64: installed
bbswitch, 0.4.2, 3.2.0-29-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-030500-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-3-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-5-generic, x86_64: installed
bbswitch, 0.4.2, 3.5.0-8-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-26-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-27-generic, x86_64: installed
ndiswrapper, 1.57, 3.2.0-29-generic, x86_64: installed
nvidia-current, 304.37, 3.5.0-030500-generic, x86_64: installed
~$ hciconfig --all
~$ lsmod | grep ath
ath9k 132390 0
mac80211 506816 1 ath9k
ath9k_common 14053 1 ath9k
ath9k_hw 411151 2 ath9k,ath9k_common
ath 24067 3 ath9k,ath9k_common,ath9k_hw
ath3k 12910 0
cfg80211 205544 3 ath9k,mac80211,ath
bluetooth 180104 11 rfcomm,bnep,ath3k
~$ dmesg | grep ath
[ 15.864420] ath9k 0000:0d:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 15.864442] ath9k 0000:0d:00.0: setting latency timer to 64
[ 15.877230] ath: EEPROM regdomain: 0x6a
[ 15.877232] ath: EEPROM indicates we should expect a direct regpair map
[ 15.877235] ath: Country alpha2 being used: 00
[ 15.877236] ath: Regpair used: 0x6a
[ 15.898793] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 15.899296] Registered led device: ath9k-phy0
[ 16.291130] usbcore: registered new interface driver ath3k
[ 18.641993] type=1400 audit(1346059965.992:10): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/mission-control-5" pid=1072 comm="apparmor_parser"
[ 18.642378] type=1400 audit(1346059965.992:11): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/telepathy-*" pid=1072 comm="apparmor_parser"

It looks like the installation of the package was successful. But the blueetoth module doesn't use the ath9k module (if I understand correctly). Does ath9k replace ath3k? When I unload ath3k, my bluetooth still doesn't work.

AceLan Kao (acelankao) wrote :

Hi, it actually use ath3k.
ath3k is for bt, and ath9k is for wifi.

Please attach the result of the command "lsusb" here, I'm wondering if you have another usb id.
And be sure to put the firmware in comment #3 and #4 in your /lib/firmware/ar3k/
Thanks.

The firmware was already in the /lib/firmware/ar3k/ folder.

~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 058f:b002 Alcor Micro Corp.
Bus 001 Device 004: ID 062a:3286 Creative Labs Nano Receiver [Sandstrom Laser Mouse SMWLL11]

The last entry should be my wireless mouse ("LogiLink ID 0031 2.4G Wireless Travel Mouse with Autolink"). I think it uses a Wifi frequency. Is this a problem for the driver?

AceLan Kao (acelankao) wrote :

Max, Interesting, I don't see any bt device listed by lsusb.
In some rare cases, this could happen.
But before we enter the next step, could you tell me how you know you are using AR9462?

The system should list your bt device first, so that we can enable it.
1. Please try to disable the bt device in the MS Windows if you ever use the bt device in Windows.
or
2. try to blacklist btusb and ath3k in /etc/modprobe.d/blacklist.conf, and then reboot
Then, try to see if the bt device listed in lsusb.

Hi AceLan Kao,
I don't remember if the driver ath9k was installed automatically when I installed Ubuntu. But "lspci -nnk" gives:
...
0d:00.0 Network controller [0280]: Atheros Communications Inc. AR9462 Wireless Network Adapter [168c:0034] (rev 01)
 Subsystem: Lite-On Communications Inc Device [11ad:6621]
 Kernel driver in use: ath9k
 Kernel modules: ath9k
...

Is this information reliable? Or does it depend on the driver I choose?

Regarding blacklisting:
I had btusb blacklisted anyway.
Then I "unblacklisted" it und rebooted but there was no new device in lsusb.
Then I blacklisted btusb again and additionally ath3k (and rebooted) and still didn't see a new device.
And disableing bluetooth in Windows didn't help either.

But something is strange: although ath3k is blacklisted, "lsmod | grep bluetooth" returns:
bluetooth 180104 11 rfcomm,bnep,ath3k

By the way, in the Windows device manager an "Atheros AR5BWB222 Wireless Network Adapter" is listed.

Do you have another idea what to try?

AceLan Kao (acelankao) wrote :

Hi,

Do you use any adapter card for the AR9462 card?
And does the bt function works under Windows?

Hi,

> Do you use any adapter card for the AR9462 card?
Not to my knowledge. How can I find out? My laptop is an "Acer Aspire V3-771G-53214G50Makk 43,9 cm (17,3 Zoll) Notebook (Intel Core i5-3210M, 2,5GHz, 4GB RAM, 500GB HDD, NV GT630M, DVD, Win 7 HP)". I couldn't find any information about an adapter card on the Acer website.

> And does the bt function works under Windows?
Yes, it works.

AceLan Kao (acelankao) wrote :

Max, ok, in that case, I think the problem comes from windows.
I don't know how to describe how to disable the bt from windows, but I'm sure that windows do the magic to prevent the bt device from being shown from other OS.
Try harder to disable bt in Windows, from the device manager or system control center to disable the bt device.
Try to let windows hands off from the bt device, then you can see the bt device shown from linux.

I disabled the "Bluetooth USB Module", the "Atheros Bluetooth Bus" and also the "Atheros AR5BWB222 Wireless Network Adapter". There is nothing else that looks like it could be related to the bluetooth adapter. But the adapter still wasn't found in Ubuntu (using kernel 3.2.30 I think).
Is there a command (in Linux) I can use to see which devices are built-in in my laptop and which are blocked by Windows?

Hi,

I've managed to let an ATH3012 chip work correctly. Please refer to my bug-report + patch: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1054307

I think you have to blacklist your vid:pid in btusb

HTH,
G.

Andriy Yaroshchuk (5ilverboy) wrote :

Any way to get Bluetooth Lite-On Communications Inc Device [11ad:6621] working?

Andriy Yaroshchuk (5ilverboy) wrote :

My output of "lspci -nnk":

04:00.0 Network controller [0280]: Atheros Communications Inc. AR9462 Wireless Network Adapter [168c:0034] (rev 01)
 Subsystem: Foxconn International, Inc. Device [105b:e052]
 Kernel driver in use: ath9k
 Kernel modules: ath9k

In "lsusb" device is recognized as: Bus 001 Device 006: ID 0489:e04e Foxconn / Hon Hai
My bluetooth doesn't work at all. Having problems activating bluetooth and when I get it activated it doesn't find any BT devices (tested with my Handy and my BT headset).

Any help?

Markus Burvall (yyc-mb) wrote :

Hello,

I have followed your suggestions.

Used the firmware files you provided above and the 1.1 version of the dkms.

Me BT seems to work to some extent.. answers to commands etc. But it doesn't discover anything

sudo hcitool -i hci0 inq gives nothing.. even though devices are discoverable.

It is not discoverable either.

WLAN works fine though!
No windows installed, only Ubuntu 12.04

You talk about some newer FW, do you have a link to those?

Logs below.

Cheers, Markus

After the 1.1 try
dmesg | grep ath
[ 15.801281] ath9k 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 15.801294] ath9k 0000:03:00.0: setting latency timer to 64
[ 15.811090] ath: EEPROM regdomain: 0x60
[ 15.811092] ath: EEPROM indicates we should expect a direct regpair map
[ 15.811095] ath: Country alpha2 being used: 00
[ 15.811097] ath: Regpair used: 0x60
[ 15.857661] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'

sudo lsusb -v -s 002:003

Bus 002 Device 003: ID 13d3:3393 IMC Networks
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 64
  idVendor 0x13d3 IMC Networks
  idProduct 0x3393
  bcdDevice 0.01
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1

Markus Burvall (yyc-mb) wrote :

Some more inf, hope it helps.
But it doesn't seem to install a new driver..

dkms status
ar9462, 1.1, 3.2.0-29-generic, x86_64: built

/lib/firmware/ar3k$ ls
1020200 AthrBT_0x01020001.dfu ramps_0x01020200_26.dfu
30000 AthrBT_0x01020200.dfu ramps_0x01020200_40.dfu
30101 AthrBT_0x11020000.dfu ramps_0x11020000_40.dfu
30101coex ramps_0x01020001_26.dfu

uname -a
Linux ubuntu-01 3.2.0-32-generic #51-Ubuntu SMP Wed Sep 26 21:33:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.1 LTS"

AceLan Kao (acelankao) wrote :

Hi,

You can always get the latest firmware from linux-firmware git tree
   git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

And the AR9462 firmware is introduced from this commit

commit 0a9640c85c781a4ec0c82f16fbf7333b7ce6daa6
Author: Costa Yao <email address hidden>
Date: Wed Jul 4 17:38:09 2012 +0800

    ar3k: add patch and sysconfig for Qualcomm Atheros AR9462

     add patch and sysconfig for Qualcomm Atheros AR9462

    Signed-off-by: Costa Yao <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

Markus Burvall (yyc-mb) wrote :

Hello AceLan Kao,

Could you attach the newest files in a post?

Seems to be alot of different versions of FW avaialble in GIT.

Should the driver 1.1 version still be used?

Cheers, Markus

AceLan Kao (acelankao) wrote :

Sure, here you are.
Put the 2 files in /lib/firmware/ark3/ directory

AceLan Kao (acelankao) wrote :
AceLan Kao (acelankao) wrote :

The attached firmwares above have a new update for AR9462 chip, but didn't say what they patched.

commit 4a91e8c9f1e433143cf900487fbef01aa8b4c869
Author: Peng Chen <email address hidden>
Date: Mon Sep 10 19:45:02 2012 +0800

    Update rampatch file for AR9462.

    Signed-off-by: Peng Chen <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

Markus Burvall (yyc-mb) wrote :

Thank you!

But still no luck.

Commands to the BT chip works ok, but inq does not work.

It just doesn't find anything, seems like the RF is dead. (WLAN works perfect though)

Same as before.

I have two Computers with the exact same behaviour.

Best Regards, Markus

AceLan Kao (acelankao) wrote :

Markus, could you attach the result of lsusb to me, I don't see any bt device log you attached previously.

Markus Burvall (yyc-mb) wrote :

Hi AceLan,

Thank you for helping!

lsusb, lspci etc in attached file.

Let me know if anything else would help.

Best Regards, Markus

AceLan Kao (acelankao) wrote :

Markus, in your log
==
dkms status
ar9462, 1.1, 3.2.0-29-generic, x86_64: built
==
looks like the dkms is not installed well, it only get built.
And in your dmesg log, I don't see ath3k being inserted

The problem could come from not install ar9462 dkms package correctly,
try to re-install it and make sure the dkms status should be "installed"

Markus Burvall (yyc-mb) wrote :

Hello AceLan,

When uninstalling the dkms, it says "this module version was INACTIVE for this kernel"

Ubuntu 12.04.1 LTS, Kernel 3.2.0-32-generic

I reinstalled using apt-get and now it says installed.

However still not working, and no info in dmesg. See attached.

How does it know which FW to select?

Markus Burvall (yyc-mb) wrote :

Hello AceLan,

I also installed windows 7 and the BT works fine then..
Device discovery works as it should!

Best Regards, Markus

Markus Burvall (yyc-mb) wrote :

Hello AceLan,

More updates, I uninstalled Windows 7 and installed ubuntu again.

The BT still worked.. but only until I powered off and on the computer.
It seems Windows 7 successfully downloads FW and it stays like that until power off.

I tried the installation again. All looks goot, but no mention of ar3k in dmesg.

See attached logs.

Any more ideas?

Best Regards, Markus

Markus Burvall (yyc-mb) wrote :

Hello AceLan,

Also interesting, my lsmod doesn't show ath3k.

lsmod | grep ath
ath9k 132390 0
mac80211 506816 1 ath9k
ath9k_common 14053 1 ath9k
ath9k_hw 411151 2 ath9k,ath9k_common
ath 24067 3 ath9k,ath9k_common,ath9k_hw
cfg80211 205544 3 ath9k,mac80211,ath

Best Regards, Markus

Hugh Eaves (hugh-hugheaves) wrote :

Andriy,

The 0489:e04e usb ID is another ath3k bluetooth device. My Acer Aspire V5-171, which has the AR9462, has this device ID for it's bluetooth module.

Unfortunately, by default, the kernel maps this device to the btusb driver which doesn't work properly. I did get the device to work sucessfully by patching the ath3k module to add the 0489:e04e usb ID. However, I lack the time to figure out how to submit a proper patch upstream.

Maybe someone following this defect could add the 0489:e04e device into the patch as well?

Thanks!
Hugh

AceLan Kao (acelankao) wrote :

Hugh,

Since you can see your bt device, could you attach the result of the command "usb-devices" here?
Thanks.

Markus,

I think your bt device is listed by the lsusb command, but the ath3k module is not loaded.
Could you check /etc/modprobe.d/ to see if btusb or ath3k is blacklist there?
If not, please try to add btusb and ath3k in /etc/modules

LoCusF (suomalainen-aleksi) wrote :

My usb-devices since I have the same device.

Markus Burvall (yyc-mb) wrote :

OK, checked the blacklists, only ath_pci was mentioned.. See attached file.

I added ath3k and btusb in modules. Now ath3k shows up in dmesg (usbcore: registered new interface driver ath3k)

After restart I still have the same problem. BT is there but not finding anything.

Also added usb-devices in attached file.

Best Regards, Markus

Markus Burvall (yyc-mb) wrote :

I thought I could use a USB bluetooth as a short time work around, but it seems bluez and bluetooth-applet always chooses the built in module (regardless if it is hci0 or hci1). Anyone know how to change that?

Starting to feel a little hopeless..

Best Regards, Markus

Tim Chen (ctf) wrote :

@Acelan: I have the system can reproduce this bug in cert lab. Please let me know if you like to try it.(cid 201202-10404)

AceLan Kao (acelankao) wrote :

Tim,
With newer kernel, the bt works.
The necessary patch is already in mainstream kernel.

Markus,
I try to build a new dkms package for you.
Please try it with the ar3k firmwares.

LoCusF,
Did you try the firmwares attached in #29 and #30
Please download them and put them in /lib/firmware/ar3k directory and try again.

Markus Burvall (yyc-mb) wrote :

Hello AceLan,

Good news, the 1.2 version worked like a charm!

I have tested on two identical systems and both are now working!

Thank you!

Best Regards, Markus

LoCusF (suomalainen-aleksi) wrote :

Selecting previously unselected package ar9462-dkms.
(Reading database ... 331336 files and directories currently installed.)
Unpacking ar9462-dkms (from .../ar9462-dkms_1.2_all.deb) ...
Setting up ar9462-dkms (1.2) ...

Loading tarball for ar9462-1.2
Loading /var/lib/dkms/ar9462/1.2/3.2.0-34-generic/x86_64...

DKMS: ldtarball completed.

Creating symlink /var/lib/dkms/ar9462/1.2/source ->
                 /usr/src/ar9462-1.2

DKMS: add completed.
First Installation: checking all kernels...
Building only for 3.5.0-18-generic
Building for architecture x86_64
Building initial module for 3.5.0-18-generic
ERROR (dkms apport): unable to determine source package for ar9462-dkms
Error! Bad return status for module build on kernel: 3.5.0-18-generic (x86_64)
Consult /var/lib/dkms/ar9462/1.2/build/make.log for more information.
dpkg: error processing ar9462-dkms (--install):
 subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
 ar9462-dkms

AceLan Kao (acelankao) wrote :

LoCusF, try this one, it's for linux kernel 3.5+

Denis Ivanov (visible) wrote :

AceLan,

Thank you for all the work so far. I run an ar9462 enabled laptop (Acer S7 391) on the 3.5 Kernel and would like to help testing the work now that I see you have a 3.5 version also!

denis@S7-391 ~$ uname -r
3.5.0-19-generic
denis@S7-391 ~$ dkms status
ar9462, 1.2-3.5, 3.5.0-19-generic, x86_64: installed
virtualbox, 4.1.18, 3.5.0-19-generic, x86_64: installed

This was the first version to install correctly.

denis@S7-391 ~$ lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 1532:0012 Razer USA, Ltd
Bus 002 Device 003: ID 04f3:0011 Elan Microelectronics Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 0489:e056 Foxconn / Hon Hai
Bus 001 Device 004: ID 04f2:b33c Chicony Electronics Co., Ltd

Status: just as before, I can tell bluetooth to 'set up a new device' but it is not seeing anything.

I was able to add a new device just fine on kernel 3.2, seemed to work out of the box on the latest Ubuntu running it (12.04?).

denis@S7-391 ~$ ls -lah /lib/firmware/ar3k/
total 228K
drwxr-xr-x 2 root root 4.0K Oct 17 07:58 .
drwxr-xr-x 54 root root 4.0K Nov 19 21:14 ..
-rw-r--r-- 1 root root 54K Aug 3 11:20 AthrBT_0x01020001.dfu
-rw-r--r-- 1 root root 40K Aug 3 11:20 AthrBT_0x01020200.dfu
-rw-r--r-- 1 root root 19K Aug 3 11:20 AthrBT_0x01020201.dfu
-rw-r--r-- 1 root root 36K Nov 14 01:27 AthrBT_0x11020000.dfu
-rw-r--r-- 1 root root 39K Aug 3 11:20 AthrBT_0x31010000.dfu
-rw-r--r-- 1 root root 1.2K Aug 3 11:20 ramps_0x01020001_26.dfu
-rw-r--r-- 1 root root 1.3K Aug 3 11:20 ramps_0x01020200_26.dfu
-rw-r--r-- 1 root root 1.2K Aug 3 11:20 ramps_0x01020200_40.dfu
-rw-r--r-- 1 root root 264 Aug 3 11:20 ramps_0x01020201_26.dfu
-rw-r--r-- 1 root root 264 Aug 3 11:20 ramps_0x01020201_40.dfu
-rw-r--r-- 1 root root 1.8K Nov 14 01:26 ramps_0x11020000_40.dfu
-rw-r--r-- 1 root root 1.5K Aug 3 11:20 ramps_0x31010000_40.dfu

AceLan Kao (acelankao) wrote :

Denis, looks like you have a new bt id which is not listed in the driver.
Could you attach the output of "usb-devices" command here, thanks.

AceLan Kao (acelankao) wrote :

Denis, I try to add your bt device id in the driver, please give it a try.
And I still need the output of "usb-devices" command to verify it.

LoCusF (suomalainen-aleksi) wrote :

Thanks AceLan, my bluetooth works ok now :). But with your dkms package I got:
dpkg -i Desktop/ar9462-dkms_1.2-3.5_all.deb
Selecting previously unselected package ar9462-dkms.
(Reading database ... 331337 files and directories currently installed.)
Unpacking ar9462-dkms (from .../ar9462-dkms_1.2-3.5_all.deb) ...
Setting up ar9462-dkms (1.2-3.5) ...
First Installation: checking all kernels...
Building only for 3.5.0-18-generic
Building for architecture x86_64
This package appears to be a binaries-only package
 you will not be able to build against kernel 3.5.0-18-generic
 since the package source was not provided

So I manually compiled the sources in /usr/src/ar9462-1.2-3.5 so I got the modules inserted.

Hugh Eaves (hugh-hugheaves) wrote :

AceLan,

Sorry for the late followup. Here's a copy of my usb-devices for Vendor=0489 ProdID=e04e. As I mentioned, I've got this device working by blacklisting the ID with btusb, and adding it to ath3k.

Hugh

AceLan Kao (acelankao) wrote :

Huhg, yes, I still need the log is required to submit the patch.
Thanks.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
AceLan Kao (acelankao) wrote :

s/I still need//g

Denis Ivanov (visible) wrote :

Ace,

See below.

denis@S7-391 ~$ usb-devices

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.05
S: Manufacturer=Linux 3.5.0-19-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=0024 Rev=00.00
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=02 Prnt=02 Port=05 Cnt=01 Dev#= 4 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e056 Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T: Bus=01 Lev=02 Prnt=02 Port=06 Cnt=02 Dev#= 5 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04f2 ProdID=b33c Rev=74.13
S: Manufacturer=SunplusIT INC.
S: Product=HD WebCam
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

Denis Ivanov (visible) wrote :

Using the 1.3-3.5 dkms module, the system is now able to see visible BT devices, however,

using bluetooth-wizard to pair with my mouse, I get a segmentation fault :(

denis@S7-391 ~$ bluetooth-wizard -v
Unknown option -v

This happens after the wizard shows my mouse. The second I try to click on it, a segmentation fault is raised and the application quits. I havent found a way to make the executable be more verbose so unfortunately not much help.

Denis Ivanov (visible) wrote :

Oops, meant to paste this:

dkms status
virtualbox, 4.1.18, 3.5.0-19-generic, x86_64: installed

sudo dkms install ar9462/1.3-3.5
Creating symlink /var/lib/dkms/ar9462/1.3-3.5/source ->
                 /usr/src/ar9462-1.3-3.5

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.5.0-19-generic -C /lib/modules/3.5.0-19-generic/build M=/var/lib/dkms/ar9462/1.3-3.5/build....
cleaning build area....

DKMS: build completed.

btusb.ko:
Running module version sanity check.
 - Original module
 - Installation
   - Installing to /lib/modules/3.5.0-19-generic/updates/dkms/

ath3k.ko:
Running module version sanity check.
 - Original module
 - Installation
   - Installing to /lib/modules/3.5.0-19-generic/updates/dkms/

depmod....
DKMS: install completed.

dkms status
ar9462, 1.3-3.5, 3.5.0-19-generic, x86_64: installed
virtualbox, 4.1.18, 3.5.0-19-generic, x86_64: installed

bluetooth-wizard
Segmentation fault

Hello AceLan,

meanwhile I have installed Ubuntu 12.10. Bluetooth still doesn't work out of the box. So I have tried to install your newest dkms package (from post #52) but I get this message:

~/Downloads$ sudo dpkg --install ar9462-dkms_1.3-3.5_all.deb
(Lese Datenbank ... 225913 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von ar9462-dkms 1.3-3.5 (durch ar9462-dkms_1.3-3.5_all.deb) ...
Ersatz für ar9462-dkms wird entpackt ...
ar9462-dkms (1.3-3.5) wird eingerichtet ...
First Installation: checking all kernels...
Building only for 3.5.0-19-generic
Building for architecture x86_64
This package appears to be a binaries-only package
 you will not be able to build against kernel 3.5.0-19-generic
 since the package source was not provided

What is missing? I have installed the package linux-source before.

AceLan Kao (acelankao) wrote :

If you have trouble in building the driver, you can try to build it by yourself.
1. cd /usr/src/ar9462-1.3-3.5/ (the directory will be created after installing the ar9462 dkms package)
2. sudo make
3. sudo cp *.ko /lib/modules/`uname -r`/updates/dkms/
4. sudo depmod -a
5. reboot and try

BTW, remember to copy the new firmwares in the comment #29 and #30 to /lib/firmware/ar3k/

todaioan (alan-ar06) on 2012-12-11
Changed in linux (Ubuntu Precise):
status: Incomplete → Fix Committed
Changed in linux (Ubuntu Quantal):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
AceLan Kao (acelankao) on 2012-12-11
Changed in linux (Ubuntu Precise):
status: Fix Released → Confirmed
Changed in linux (Ubuntu Quantal):
status: Fix Released → Confirmed
Changed in linux-firmware (Ubuntu Quantal):
status: New → Fix Released
Changed in linux-firmware (Ubuntu Precise):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-firmware (Ubuntu):
status: New → Fix Released

I am also having problems with 0489:e04e Foxconn / Hon Hai.

Have not tried the dkms_1.3-3.5 yet.

Now it works! Thanks a lot!

Tim Gardner (timg-tpi) wrote :

linux-firmware SRU Justification

We need some new firmwares from linux-firmware to support AR9462 bt device.
Those firmware comes from the 2 commit shown below in linux-firmware tree.
I don't know if we could cherry-pick those firmwares into our
linux-firmware package for precise.
Or release a newer linux-firmware package in the precise-backports.

commit 0a9640c85c781a4ec0c82f16fbf7333b7ce6daa6
Author: Costa Yao <email address hidden>
Date: Wed Jul 4 17:38:09 2012 +0800

    ar3k: add patch and sysconfig for Qualcomm Atheros AR9462

     add patch and sysconfig for Qualcomm Atheros AR9462

    Signed-off-by: Costa Yao <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

commit 4a91e8c9f1e433143cf900487fbef01aa8b4c869
Author: Peng Chen <email address hidden>
Date: Mon Sep 10 19:45:02 2012 +0800

    Update rampatch file for AR9462.

    Signed-off-by: Peng Chen <email address hidden>
    Signed-off-by: Ben Hutchings <email address hidden>

Best regards,
AceLan Kao.

Changed in linux-firmware (Ubuntu Precise):
status: Confirmed → Fix Committed
assignee: nobody → AceLan Kao (acelankao)

Hello flash63, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andriy Yaroshchuk (5ilverboy) wrote :
Download full text (3.9 KiB)

Hello.
I don't know what I am doing wrong but nothing works for me.

Here is what my usb-devices gives me:
T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.05
S: Manufacturer=Linux 3.5.0-17-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1a.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 6
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=0024 Rev=00.00
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=02 Prnt=02 Port=03 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e04e Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.05
S: Manufacturer=Linux 3.5.0-17-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=0024 Rev=00.00
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 4
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.05
S: Manufacturer=Linux 3.5.0-17-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=01 Prnt=01 Port=03 Cnt=01 Dev#= 2 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=064e ProdID=e330 Rev=01.00
S: Manufacturer=SuYin
S: Product=HD WebCam
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T: Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 4
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=03.05
S: Manufacturer=Linux 3.5.0-17-generic xhci_hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

And here is lsusb:

Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 002: ID 064e:e330 Suyin Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ...

Read more...

AceLan Kao (acelankao) wrote :

Andriy, I added 0489:e04e in the blacklist, please try to install ar9462-dkms_1.4-3.5_all.deb and ses if it works

Andriy Yaroshchuk (5ilverboy) wrote :

Hey AceLan, thank you very very much for your fast response!
Now it works!
I'm so happy to finally kick the Windoze out of my HDD!
Thank you very much for your help!
So nice to have people like you on this tiny planet! :)
Happy holidays!

Mike Loebl (mloebl) wrote :

What are the odds you can spin a version for 12.10 to try out?
Thanks!

punan (punan2010) wrote :

Hey AceLan, i am trying to fix the bluetooth on my notebook.

lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 002: ID 062a:4101 Creative Labs
Bus 003 Device 003: ID 04f2:b300 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp.
Bus 001 Device 004: ID 0489:e056 Foxconn / Hon Hai

lspci -nnk
02:00.0 Network controller [0280]: Atheros Communications Inc. AR9462 Wireless Network Adapter [168c:0034] (rev 01)
 Subsystem: Foxconn International, Inc. Device [105b:e058]
 Kernel driver in use: ath9k
 Kernel modules: ath9k

i tried the command:
sudo cp Downloads/ramps_0x11020000_40.dfu /lib/firmware/ar3k/
sudo cp Downloads/AthrBT_0x11020000.dfu /lib/firmware/ar3k/

sudo dpkg -i Downloads/ar9462-dkms_1.4-3.5_all.deb
(Reading database ... 160125 files and directories currently installed.)
Preparing to replace ar9462-dkms 1.4-3.5 (using .../ar9462-dkms_1.4-3.5_all.deb) ...
Unpacking replacement ar9462-dkms ...
Setting up ar9462-dkms (1.4-3.5) ...
First Installation: checking all kernels...
Building only for 3.5.0-21-generic
Building for architecture x86_64
This package appears to be a binaries-only package
 you will not be able to build against kernel 3.5.0-21-generic
 since the package source was not provided

then i restart, the bluetooth can't find any devices as before.
could you help me please.

punan (punan2010) wrote :

i have fixed it.

sudo apt-get install linux-headers-3.5.0-21-generic
sudo dkms install ar9462/1.4-3.5

dkms status
ar9462, 1.4-3.5, 3.5.0-21-generic, x86_64: installed

thanks everyone.

Mike Loebl (mloebl) wrote :

I finally got it to build and work with 12.10 after re-reading post 61 (thank you!) Also, had disabled wireless thru the gnome app as I am using Ethernet. However doing this also disabled Bluetooth for me. Following post 61 and enabling wireless got it going for me.

On a side note, now stuck with another issue the bluetooth-wizard crashes once you select the device :( Looks like a common issue with 12.10. At least now I got farther.

Tim Chen (ctf) on 2013-01-17
tags: added: blocks-hwcert cid201202-10404
Adam Conrad (adconrad) wrote :

Can anyone verify for me that the linux-firmware upload in precise-proposed addresses this bug and verifies correctly?

Neil Townsend (ukneiltownsend) wrote :

Hi guys. I can't confirm whether this fixes the problem in precise-proposed however I am still having problems with this driver in quantal 12.10. I am not sure whether this is related to this bug or the issues Mike mentions in #72.

I had the same issue with the ath3k driver not loading any firmware and therefore not being able to pick up any HCI packets. I've since installed ar9462-dkms_1.4-3.5_all.deb and installed the driver into dkms. This allowed me to scan and pair with devices without any issue however any type of file sending refuses to work.

Specifically I have been able to reproduce a segfault when trying to use the bluetooth-sendto binary called from the ubuntu notification applet:

Jan 30 11:51:37 neil-lappy kernel: [ 9612.229927] bluetooth-sendt[12122]: segfault at 8 ip 0000000000404ec6 sp 00007fff63e242d0 error 4 in bluetooth-sendto[400000+7000]

The file transfer box just gives a generic "Transfer failed (0x4f)" message. I've attached my system information and hcidumps of both sending and receiving files from a Nexus 7 tablet. Neither of which completes successfully. I've tried sending to the laptop with an iphone as well with the same result.

Thanks.

Mike Loebl (mloebl) wrote :

Neil -
The issue I am seeing with bluetooth-wizard crashing is this one:
https://bugs.launchpad.net/ubuntu/+source/gnome-bluetooth/+bug/1080656

However the work around to let it sit in post #8 makes no difference for me unfortunately.

-Mike

Tim Chen (ctf) on 2013-02-01
tags: added: 201202-10404
Tim Chen (ctf) on 2013-02-05
tags: added: taipei-lab
removed: cid201202-10404
Tim Chen (ctf) wrote :

Bug remains on kernel 3.2.0-37#58, linux-firmware-1.79.2, on Precise-proposed, verified on Dell inspiron 5720(201202-10404)

tags: added: precise quantal
AceLan Kao (acelankao) wrote :

Adam, there is no ar9462 firmwares in the linux-firmware.
Actually, I didn't get the new linux-firmware package after I checked the "Pre-released updates (precise-proposed)" option.

AceLan Kao (acelankao) wrote :

BTW, the version of linux-firmware is 1.79.2

Last quantal-updates do not work neither.
linux-firmware is ready but
last linux-backports-modules-3.5.0 (3.5.0-24.10) do not check our device { USB_DEVICE(0x04CA, 0x3006) }
than this one must be patched again

Changed in linux (Ubuntu):
importance: Medium → High
Changed in linux (Ubuntu Precise):
importance: Medium → High
Changed in linux (Ubuntu Quantal):
importance: Medium → High
Changed in linux-firmware (Ubuntu Precise):
importance: Medium → High

I just added the package linux-backports-modules-3.5.0 at the header of this thread. Sorry, if I am wrong. I am not an expert. But this package must be updated to make our device working out of the box, at least...

As you can see, and I said, this one does not check our device.

http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/quantal/linux-backports-modules-3.5.0/quantal-proposed/view/head:/updates/cw-3.6/drivers/bluetooth/ath3k.c

Changed in linux-backports-modules-3.5.0 (Ubuntu Quantal):
assignee: nobody → Jean-Louis Hens (jean-louis-hens)
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

It looks to me like this bug should be marked verification-failed, as per comment #76, and linux-firmware removed from proposed to unblock other SRUs for the linux-firmware package.

tags: added: verification-failed-precise
AceLan Kao (acelankao) on 2013-04-01
Changed in linux (Ubuntu):
status: In Progress → Triaged
Download full text (7.4 KiB)

Hi,

i have tried the same driver patch to Ubuntu 12.10 it desn't work.

can you pls provide me the driver for Ubuntu 12.10 Linux ?

Regds,
Bala S

On Mon, Apr 1, 2013 at 2:44 PM, AceLan Kao <email address hidden>wrote:

> ** Changed in: linux (Ubuntu)
> Status: In Progress => Triaged
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1024884
>
> Title:
> Bluetooth with AR9462 WLAN/BT-Combo don't work
>
> Status in HWE Next Project:
> New
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-backports-modules-3.5.0” package in Ubuntu:
> New
> Status in “linux-firmware” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Confirmed
> Status in “linux-backports-modules-3.5.0” source package in Precise:
> New
> Status in “linux-firmware” source package in Precise:
> Fix Committed
> Status in “linux” source package in Quantal:
> Confirmed
> Status in “linux-backports-modules-3.5.0” source package in Quantal:
> New
> Status in “linux-firmware” source package in Quantal:
> Fix Released
>
> Bug description:
> Ubuntu 12.04 Precise Pangolin 32bit - 3.2.0-23.36-generic 3.2.14
> Product Brief
>
> http://www.google.com/url?sa=t&rct=j&q=ar9462&source=web&cd=1&ved=0CFAQFjAA&url=http%3A%2F%2Fwww.qca.qualcomm.com%2Fmedia%2Fproduct%2Fproduct_112_file1.pdf&ei=Hzj3T7bVAcjfsgbE7Ym1BQ&usg=AFQjCNFdCVTSZr6iAYO5VbRD1Nir4wnnwg&cad=rja
>
> WLAN:
> 0d:00.0 Network controller [0280]: Atheros Communications Inc. AR9462
> Wireless Network Adapter [168c:0034] (rev 01)
> Subsystem: Lite-On Communications Inc Device [11ad:6621]
> Kernel driver in use: ath9k
> Kernel modules: ath9k
>
> lsusb (BT-device identified as):
> Bus 002 Device 003: ID 04ca:3006 Lite-On Technology Corp.
>
> iProduct value is 2, so it must be a AR3012 based chipset for BT (see
> attachment).
>
> I have adjusted in accordance with
> http://wireless.kernel.org/en/users/Drivers/ath3k the source codefor
> ath3k.c and btusb.c
>
> See attachment for further informations and Terminal output.
>
> Used CW snapshots and firmware:
> compat-wireless-2012-07-03
> linux-firmware-HEAD-e0836e6
>
> Options for ath9k are set in /etc/modprobe.d/ath9k.conf: options
> ath9k btcoex_enable=1
>
> First try with this patch to add the needed ID an blacklist this
> device for btusb:
>
> diff -urN compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c
> compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c
> --- compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c 2012-07-04
> 02:38:39.000000000 +0200
> +++
> compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c
> 2012-07-13 23:29:04.000000000 +0200
> @@ -76,6 +76,7 @@
> { USB_DEVICE(0x0CF3, 0x311D) },
> { USB_DEVICE(0x13d3, 0x3375) },
> { USB_DEVICE(0x04CA, 0x3005) },
> + { USB_DEVICE(0x04CA, 0x3006) },
> { USB_DEVICE(0x13d3, 0x3362) },
> { USB_DEVICE(0x0CF3, 0xE004) },
> { USB_DEVICE(0x0930, 0x0219) },
> @@ -101,6 +102,7 @@
> { USB_DEVICE(0...

Read more...

Bala, you need to download sources of linux-backports-modules-3.5.0
https://launchpad.net/ubuntu/quantal/+source/linux-backports-modules-3.5.0
patch it the same way the first post of this thread
compile (make and make install)
You need to make sure linux-firmware is installed
reboot et voila
Let me know if it work for you.
It work like a charm for me

bala (balamurugans123) wrote :
Download full text (7.9 KiB)

Hi,

Below is my SOP. Please correct me if i am wrong.

1. Download and install the linux-backports-modules-3.5.0
https://launchpad.net/ubuntu/quantal/+source/linux-backports-modules-3.5.0

2. Download and install the linux irmware from the below link.

https://launchpad.net/ubuntu/+source/linux-firmware/1.79.2
3. compile (make and make install)

4. reboot . it should work under Ubuntu 12.10 OS.

Regds,
Bala S

On Tue, Apr 2, 2013 at 10:12 PM, Jean-Louis Hens <
<email address hidden>> wrote:

> Bala, you need to download sources of linux-backports-modules-3.5.0
> https://launchpad.net/ubuntu/quantal/+source/linux-backports-modules-3.5.0
> patch it the same way the first post of this thread
> compile (make and make install)
> You need to make sure linux-firmware is installed
> reboot et voila
> Let me know if it work for you.
> It work like a charm for me
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1024884
>
> Title:
> Bluetooth with AR9462 WLAN/BT-Combo don't work
>
> Status in HWE Next Project:
> New
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-backports-modules-3.5.0” package in Ubuntu:
> New
> Status in “linux-firmware” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Confirmed
> Status in “linux-backports-modules-3.5.0” source package in Precise:
> New
> Status in “linux-firmware” source package in Precise:
> Fix Committed
> Status in “linux” source package in Quantal:
> Confirmed
> Status in “linux-backports-modules-3.5.0” source package in Quantal:
> New
> Status in “linux-firmware” source package in Quantal:
> Fix Released
>
> Bug description:
> Ubuntu 12.04 Precise Pangolin 32bit - 3.2.0-23.36-generic 3.2.14
> Product Brief
>
> http://www.google.com/url?sa=t&rct=j&q=ar9462&source=web&cd=1&ved=0CFAQFjAA&url=http%3A%2F%2Fwww.qca.qualcomm.com%2Fmedia%2Fproduct%2Fproduct_112_file1.pdf&ei=Hzj3T7bVAcjfsgbE7Ym1BQ&usg=AFQjCNFdCVTSZr6iAYO5VbRD1Nir4wnnwg&cad=rja
>
> WLAN:
> 0d:00.0 Network controller [0280]: Atheros Communications Inc. AR9462
> Wireless Network Adapter [168c:0034] (rev 01)
> Subsystem: Lite-On Communications Inc Device [11ad:6621]
> Kernel driver in use: ath9k
> Kernel modules: ath9k
>
> lsusb (BT-device identified as):
> Bus 002 Device 003: ID 04ca:3006 Lite-On Technology Corp.
>
> iProduct value is 2, so it must be a AR3012 based chipset for BT (see
> attachment).
>
> I have adjusted in accordance with
> http://wireless.kernel.org/en/users/Drivers/ath3k the source codefor
> ath3k.c and btusb.c
>
> See attachment for further informations and Terminal output.
>
> Used CW snapshots and firmware:
> compat-wireless-2012-07-03
> linux-firmware-HEAD-e0836e6
>
> Options for ath9k are set in /etc/modprobe.d/ath9k.conf: options
> ath9k btcoex_enable=1
>
> First try with this patch to add the needed ID an blacklist this
> device for btusb:
>
> diff -urN compat-wireless-2012-07-03/drivers/bluetooth/ath3k.c
> compat-wireless-2012-07-03_bt_ath3k_04ca_3006_mod/drivers/bluetooth/ath3k.c
> --- compat-wire...

Read more...

Hi Bala,
Let me take your hand
Open console and copy each line below.

sudo apt-get install linux-firmware
mkdir ~/bug1024884
cd ~/bug1024884
apt-get source linux-backports-modules-3.5.0
wget https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884/+attachment/3621036/+files/backports-mod-patch
patch -p1 -i backports-mod-patch
cd linux-backports-modules-3.5.0-3.5.0/updates/cw-3.6/
make
sudo make install

Then reboot

AceLan Kao (acelankao) wrote :

0489:e04e, 0489:e056, and 13d3:3393 are submitted to the mainstream stable kernel.
So, devices with those IDs will be working on Ubuntu soon.

Will need to ask the Ubuntu kernel team to update the firmware once those IDs go into Ubuntu kernel.

Maybe, there are here more than one bug.
All related to Atheros AR9462 combo card of course.

It sems that different vendors are providing BT part of this combo chip
Foxconn / Hon Hai (0489) vendor
imc networks corp (13d3) vendor

I and Flash63 (who opened this bug report)
have a Lite-On Technology Corp. (04ca) as BT part of this chip
our id is 04ca:3006

My patch #85 and the way to patch #86
are for this piece of hardware only.
verify with lsusb if you have
ID 04ca:3006 Lite-On Technology Corp.
before trying my patch

So in summary: will 0489:e04e be working with the next kernel upgrade?

AceLan Kao (acelankao) wrote :

Jean-Louis,
The patch for 04ca:3006 is not submitted by me, so I didn't get the notice email and didn't mention it above.
Below are the new devices list in the mainstream kernel tree and should be merged into stable kernel tree sooner or later.

2c262b2a5 (Daniel Schaal 2012-12-29 11:14:34 +0100 142) { USB_DEVICE(0x04ca, 0x3006), .driver_info = BTUSB_ATH3012 },
f4d6f7dce (Sergio Cambra 2013-01-10 01:06:55 +0100 143) { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
eed307e29 (AceLan Kao 2012-12-11 11:41:20 +0800 148) { USB_DEVICE(0x13d3, 0x3393), .driver_info = BTUSB_ATH3012 },
3a61eda81 (AceLan Kao 2013-01-03 12:24:59 +0800 149) { USB_DEVICE(0x0489, 0xe04e), .driver_info = BTUSB_ATH3012 },
2582d529c (AceLan Kao 2013-01-03 12:25:00 +0800 150) { USB_DEVICE(0x0489, 0xe056), .driver_info = BTUSB_ATH3012 },

Kirils,
No, we have to wait those patches to be merged into stable tree and wait GregKH to release it.
And then wait Ubuntu kernel team merges the stable kernel and release a new Ubuntu kernel.
And to fix this issue, we still need new firmwares, so we have to ask Ubuntu kernel to release a new linux-firmware.
Then, we can say all set.
The process would probably need 2 months or more.

Thank you alcelankao for all this good news

Hello flash63, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.4

---------------
linux-firmware (1.79.4) precise-proposed; urgency=low

  * Add rt2x00 firmware file rt3290.bin
    -LP: #1049466

linux-firmware (1.79.3) precise-proposed; urgency=low

  * Add AMD microcode.
    -LP: #1068299

linux-firmware (1.79.2) precise-proposed; urgency=low

  * 0a9640c85c781a4ec0c82f16fbf7333b7ce6daa6 ar3k: add patch and sysconfig for Qualcomm Atheros AR9462
    4a91e8c9f1e433143cf900487fbef01aa8b4c869 Update rampatch file for AR9462.
    (both patches from upstream git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git)
    - LP: #1024884
 -- Tim Gardner <email address hidden> Fri, 19 Apr 2013 13:31:28 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released

Just to say that bt mouse work out of the box after upgrade to Raring Ringtail :)

Changed in hwe-next:
status: New → Fix Released
AceLan Kao (acelankao) wrote :

04ca:3006 is in precise and quantal kernel.
and some other ids are in precise kernel as well
0489:e056 , 0489:e04e , 13d3:3393

So, I'll close this bug now.

If you find your AR9462 BT device, not the IDs listed above, is not working, please open a new bug.
Thanks.

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Quantal):
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Anthony Wong (anthonywong) wrote :

As the driver and firmware are fixed in kernel, there is no need to touch linux-backports-modules.

Changed in linux-backports-modules-3.5.0 (Ubuntu):
status: New → Won't Fix
Changed in linux-backports-modules-3.5.0 (Ubuntu Precise):
status: New → Won't Fix
Changed in linux-backports-modules-3.5.0 (Ubuntu Quantal):
status: New → Won't Fix
X-Stranger (xstranger) wrote :

Had the same issue with my HP EliteBook 2170p having next version of AR9462 with ID 0cf3:311e in Rarian. Fixed by blacklisting it in the btusb and ath3k drivers. The ready deb package is attached

NoBugs! (luke32j) wrote :

Bluetooth still not working for me, xps 15 with killer-wireless

To post a comment you must log in.